org.apache.poi.hwpf.usermodel

## Class TableAutoformatLookSpecifier

- java.lang.Object
- - org.apache.poi.hwpf.model.types.TLPAbstractType
  - - org.apache.poi.hwpf.usermodel.TableAutoformatLookSpecifier

- All Implemented Interfaces:
    Duplicatable

      public class TableAutoformatLookSpecifier
      extends TLPAbstractType
      implements Duplicatable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIZE`

    - ### Fields inherited from class org.apache.poi.hwpf.model.types.TLPAbstractType

      `field_1_itl, field_2_tlp_flags`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableAutoformatLookSpecifier()`
    `TableAutoformatLookSpecifier(byte[] data, int offset)`
    `TableAutoformatLookSpecifier(TableAutoformatLookSpecifier other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableAutoformatLookSpecifier` | `clone()` Deprecated.
    `TableAutoformatLookSpecifier` | `copy()`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`

    - ### Methods inherited from class org.apache.poi.hwpf.model.types.TLPAbstractType

      `fillFields, getItl, getSize, getTlp_flags, isFBestFit, isFBorders, isFColor, isFFont, isFHdrRows, isFLastRow, isFShading, serialize, setFBestFit, setFBorders, setFColor, setFFont, setFHdrRows, setFLastRow, setFShading, setItl, setTlp_flags, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final int SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TableAutoformatLookSpecifier

          public TableAutoformatLookSpecifier()

    - #### TableAutoformatLookSpecifier

          public TableAutoformatLookSpecifier(TableAutoformatLookSpecifier other)

    - #### TableAutoformatLookSpecifier

          public TableAutoformatLookSpecifier(byte[] data,
                                              int offset)

  - ### Method Detail

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public TableAutoformatLookSpecifier clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public TableAutoformatLookSpecifier copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isEmpty

          public boolean isEmpty()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.